linux: 3.0.0-17.30 -proposed tracker

Bug #949882 reported by Luis Henriques on 2012-03-08
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Luis Henriques
Prepare-package-lbm
Undecided
Luis Henriques
Prepare-package-meta
Undecided
Luis Henriques
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Oneiric
Undecided
Unassigned

Bug Description

This bug is for tracking the 3.0.0-17.30 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Thursday, 08. March 2012 12:27 UTC
kernel-stable-Prepare-package-end:Friday, 09. March 2012 06:34 UTC
kernel-stable-Promote-to-proposed-start:Friday, 09. March 2012 06:34 UTC
kernel-stable-Promote-to-proposed-end:Monday, 12. March 2012 16:16 UTC
kernel-stable-Verification-testing-start:Monday, 12. March 2012 16:16 UTC
kernel-stable-Verification-testing-end:Wednesday, 14. March 2012 18:16 UTC
kernel-stable-Certification-testing-start:Wednesday, 14. March 2012 18:16 UTC
kernel-stable-Security-signoff-start:Wednesday, 14. March 2012 18:16 UTC
kernel-stable-Regression-testing-start:Wednesday, 14. March 2012 18:16 UTC
kernel-stable-Security-signoff-end:Saturday, 17. March 2012 11:01 UTC
kernel-stable-Regression-testing-end:Wednesday, 21. March 2012 15:46 UTC
kernel-stable-Promote-to-updates-start:Friday, 23. March 2012 16:15 UTC
kernel-stable-Certification-testing-end:Friday, 23. March 2012 16:15 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Tuesday, 27. March 2012 11:15 UTC
kernel-stable-Promote-to-updates-end:Tuesday, 27. March 2012 11:15 UTC

Luis Henriques (henrix) on 2012-03-08
tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: oneiric
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-ti-omap4 - bug 950572

Backport packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-lts-backport-oneiric (lucid) - bug 950573

description: updated
Martin Pitt (pitti) on 2012-03-12
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-03-12
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-cw-3.2-oneiric-generic 3.0.0.17.20 - is in universe instead of main
linux-backports-modules-cw-3.2-oneiric-generic 3.0.0.17.20 - is in universe instead of main
linux-backports-modules-cw-3.2-oneiric-generic-pae 3.0.0.17.20 - is in universe instead of main
linux-backports-modules-cw-3.2-oneiric-server 3.0.0.17.20 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Martin Pitt (pitti) wrote :

Fixed the overrides.

Brad Figg (brad-figg) wrote :

The following packages ended up in the wrong component in the -proposed pocket:

linux-backports-modules-cw-3.2-oneiric-generic 3.0.0.17.20 - is in universe instead of main
linux-backports-modules-cw-3.2-oneiric-generic 3.0.0.17.20 - is in universe instead of main
linux-backports-modules-cw-3.2-oneiric-generic-pae 3.0.0.17.20 - is in universe instead of main
linux-backports-modules-cw-3.2-oneiric-server 3.0.0.17.20 - is in universe instead of main

Once this is fixed, set the promote-to-proposed to Fix Released again

Martin Pitt (pitti) wrote :

The subsequent check ran too early, it needs to wait for the publisher. Herton will change the delay to 1 hour which is guaranteed to contain one full publisher run.

Brad Figg (brad-figg) on 2012-03-12
description: updated
Brad Figg (brad-figg) on 2012-03-14
description: updated
Julian Wiedmann (jwiedmann) wrote :

bug 956479 reports a regression with this kernel.

John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-03-17
description: updated

Hardware Certification have begun testing this -proposed kernel.

Luis Henriques (henrix) wrote :

We have analysed bug #956479 and the behaviour introduced by the referred patch seems to be correct. Thus, diverging from upstream stable does not seem a reasonable option at this point.

C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-03-21
description: updated

Hardware Certification have completed testing on 54/55 systems. One system on our testing list is not yet available for us to test so it has no results. No regressions were detectable in the results - which are available here: http://people.canonical.com/~hwcert/sru-testing/wk12_2012/oneiric-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-03-23
description: updated
Launchpad Janitor (janitor) wrote :
Download full text (6.6 KiB)

This bug was fixed in the package linux - 3.0.0-17.30

---------------
linux (3.0.0-17.30) oneiric-proposed; urgency=low

  [Luis Henriques]

  * Release Tracking Bug
    - LP: #949882

  [ Andy Whitcroft ]

  * [Config] restore build-% shortcut

  [ Stefan Bader ]

  * (config) Fix virtual flavour inclusion of xen-kbdfront
    - LP: #944582

  [ Upstream Kernel Changes ]

  * readahead: fix pipeline break caused by block plug
    - LP: #931719
  * ALSA: HDA: Fix duplicated output to more than one codec
    - LP: #924320, #931719
  * ASoC: wm_hubs: Enable line out VMID buffer for single ended line
    outputs
    - LP: #931719
  * ASoC: wm_hubs: fix wrong bits for LINEOUT2 N/P mixer
    - LP: #931719
  * ARM: 7306/1: vfp: flush thread hwstate before restoring context from
    sigframe
    - LP: #931719
  * ARM: 7307/1: vfp: fix ptrace regset modification race
    - LP: #931719
  * ARM: 7308/1: vfp: flush thread hwstate before copying ptrace registers
    - LP: #931719
  * ARM: OMAP2+: GPMC: fix device size setup
    - LP: #931719
  * drivers/tty/vt/vt_ioctl.c: fix KDFONTOP 32bit compatibility layer
    - LP: #931719
  * proc: mem_release() should check mm != NULL
    - LP: #931719
  * proc: unify mem_read() and mem_write()
    - LP: #931719
  * proc: make sure mem_open() doesn't pin the target's memory
    - LP: #931719
  * firewire: ohci: add reset packet quirk for SB Audigy
    - LP: #931719
  * firewire: ohci: disable MSI on Ricoh controllers
    - LP: #931719
  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #931719
  * kprobes: fix a memory leak in function pre_handler_kretprobe()
    - LP: #931719
  * at_hdmac: bugfix for enabling channel irq
    - LP: #931719
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #931719
  * mm: compaction: check pfn_valid when entering a new MAX_ORDER_NR_PAGES
    block during isolation for migration
    - LP: #931719
  * drm/radeon: Set DESKTOP_HEIGHT register to the framebuffer (not mode)
    height.
    - LP: #931719
  * drm/nouveau/gem: fix fence_sync race / oops
    - LP: #931719
  * drm/radeon/kms: disable output polling when suspended
    - LP: #931719
  * sched/rt: Fix task stack corruption under
    __ARCH_WANT_INTERRUPTS_ON_CTXSW
    - LP: #931719
  * ASoC: Ensure we generate a driver name
    - LP: #931719
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #931719
  * drm/i915: HDMI hot remove notification to audio driver
    - LP: #931719
  * drm/i915: DisplayPort hot remove notification to audio driver
    - LP: #931719
  * drm/i915: check ACTHD of all rings
    - LP: #931719
  * drm/i915: Fix TV Out refresh rate.
    - LP: #931719
  * drm/i915: handle 3rd pipe
    - LP: #931719
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #931719
  * cifs: Fix oops in session setup code for null user mounts
    - LP: #931719
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #931719
  * lockdep, bug: Exclude TAINT_FIRMWARE_WORKAROUND from disabling lockdep
    - LP: #931719
  * hwmon: (w83627ehf) Fix number of fans for NCT6776F
    - LP: #931719
  * ASoC: wm_hubs: Fix routing of input PGAs to li...

Read more...

Changed in linux (Ubuntu Oneiric):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers